%% X = vandermonde(x, d)
%
% Input:
% x: data vector
% d: desired degree plus one
%
% Output:
% X: the Vandermonde matrix
%
function X = vandermonde(x, d)
  X = cumprod([ones(length(x), 1) repmat(x,1,d)], 2);
end
